SW_ROOT_DIRECTORY="${SW_ROOT_DIRECTORY:?unset fatal}"
SW_CONTROL_DIRECTORY="${SW_CONTROL_DIRECTORY:?unset fatal}"
SW_LOCATION="${SW_LOCATION:?unset fatal}"
SW_SESSION_OPTIONS="${SW_SESSION_OPTIONS:?unset fatal}"
SW_CATALOG="${SW_CATALOG:?unset fatal}"
SW_SOFTWARE_SPEC="${SW_SOFTWARE_SPEC:?unset fatal}"
SW_CONTROL_TAG="${SW_CONTROL_TAG:?unset fatal}"

cd "$SW_ROOT_DIRECTORY"/src/zeptodb-2.0.2 || exit 4

SWBB_BUILD=build
SWBB_RUNTIME=run

{
ret=0
case "$SW_CONTROL_TAG" in
	postinstall)
			./configure --prefix="$SW_ROOT_DIRECTORY" "$CONFIG_OPTS" && make
			ret=$?
			;;
	configure)
			mkdir -p "$SW_ROOT_DIRECTORY"
			make install
			ret=$?
			;;
    unconfigure)
			make uninstall
            ret=$?
            ;;
    preremove)
			make distclean
            rm -rf "$SW_ROOT_DIRECTORY/src/zeptodb-2.0.2/lib/sys"
            ret=$?
            ;;
	*)		exit 0
			;;
esac
exit $ret
} 1>&2
exit $?
