/*  zdbf.h

    Copyright © 2011, 2012, 2013 Brandon Invergo <brandon@invergo.net>

    This file is part of zeptodb

    zeptodb is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    zeptodb is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with zeptodb.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ZDBF_H
#define ZDBF_H
#define _GNU_SOURCE

#include <config.h>

#include <string.h>
#include "error.h"
#include "argp.h"
#include <signal.h>
#include <stdbool.h>

#include "zdb.h"

char *program_name = "zdbf";

int fetchqueries (void *, FILE *, char *);
void termination_handler (int);

#endif
